%WP
% Plot of direct solve time versus number of unknowns for driven cavity flow.

%	Elements of Computational Fluid Dynamics
%	Lecture Notes by P. Wesseling
%	Department of Applied Mathematical Analysis, ITS, TU Delft
% See http://ta.twi.tudelft.nl/nw/users/wesseling/

% This program generates Figure 1.5 in the Lecture Notes.

startup, format compact, clear all

x = [100 400  900 1296  2500  3600  4096];
y = [0.02  0.33  1.25  2.35  8.49  16.3  21.7];
loglog(x,y,'-',x,3e-6*x.^2,'--')
set(gca,'Fontsize',20)
xlabel('n','Fontsize',20)
ylabel('t','Fontsize',20)
